Bug 1450144 - Review Request: rubygem-yell - Yell - Your Extensible Logging Library
Summary: Review Request: rubygem-yell - Yell - Your Extensible Logging Library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1484600
TreeView+ depends on / blocked
 
Reported: 2017-05-11 16:10 UTC by František Dvořák
Modified: 2017-09-22 08:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-21 23:52:47 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description František Dvořák 2017-05-11 16:10:35 UTC
Spec URL: http://scientific.zcu.cz/fedora/rubygem-yell-2.0.7-1/rubygem-yell.spec
SRPM URL: http://scientific.zcu.cz/fedora/rubygem-yell-2.0.7-1/rubygem-yell-2.0.7-1.fc26.src.rpm
Description: Yell - Your Extensible Logging Library. Define multiple adapters, various log level combinations or message formatting options like you've never done before.
Fedora Account System Username: valtri

COPR build: https://copr.fedorainfracloud.org/coprs/valtri/ruby/build/550761/

Comment 1 Robert-André Mauchin 2017-08-24 17:16:03 UTC
Hello,

 - There's two almost identical BR:

BuildRequires:  rubygem(rspec)
BuildRequires:  rubygem(rspec) >= 3

Just keep the later one with the version requirement.

 - There's an examples/ directory in the source files, it would be great to include it in %doc:

%files
%doc examples


 - According to the guidelines for Rubygems (https://fedoraproject.org/wiki/Packaging:Ruby#RubyGems):

"There should not be Requires: ruby(release), unless you want to explicitly specify Ruby version compatibility. Automatically generated dependency on RubyGems (Requires: ruby(rubygems)) is enough"

So, you should probably remove Requires: ruby(release) but instead add a Requires:       ruby(rubygems)

Comment 2 Robert-André Mauchin 2017-08-24 17:16:54 UTC
I forgot to paste the review:


Issues:
=======
- Package contains Requires: ruby(release).


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 61 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/rubygem-yell/review-rubygem-
     yell/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems,
     /usr/share/gems/doc
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).

===== SHOULD items =====

Generic:
[-]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
     yell-doc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[x]: Gem package should exclude cached Gem.
[x]: Gem should use %gem_install macro.
[x]: gems should not require rubygems package
[x]: Specfile should use macros from rubygem-devel package.
[x]: Test suite should not be run by rake.
[x]: Test suite of the library should be run.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-yell-2.0.7-1.fc28.noarch.rpm
          rubygem-yell-doc-2.0.7-1.fc28.noarch.rpm
          rubygem-yell-2.0.7-1.fc28.src.rpm
rubygem-yell.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 3 František Dvořák 2017-08-27 09:36:14 UTC
Thanks for the review!

(In reply to Robert-André Mauchin from comment #1)
>  - There's two almost identical BR:
> 
> BuildRequires:  rubygem(rspec)
> BuildRequires:  rubygem(rspec) >= 3
> 
> Just keep the later one with the version requirement.
> 

You're right, fixed.

>  - There's an examples/ directory in the source files, it would be great to
> include it in %doc:
> 
> %files
> %doc examples
> 

Examples are in the -doc subpackage, but they has not been marked as %doc. Fixed.

> 
>  - According to the guidelines for Rubygems
> (https://fedoraproject.org/wiki/Packaging:Ruby#RubyGems):
> 
> "There should not be Requires: ruby(release), unless you want to explicitly
> specify Ruby version compatibility. Automatically generated dependency on
> RubyGems (Requires: ruby(rubygems)) is enough"
> 
> So, you should probably remove Requires: ruby(release) but instead add a
> Requires:       ruby(rubygems)

Actually this is not a runtime dependency, only BuildRequires.

But it is true the explicit "BuildRequires: ruby(release)" is probably not needed here (ruby interpreter is picked by rubygems package already, and ruby is not launched directly in the spec file). Removed.


The new version:

Spec URL: http://scientific.zcu.cz/fedora/rubygem-yell-2.0.7-2/rubygem-yell.spec
SRPM URL: http://scientific.zcu.cz/fedora/rubygem-yell-2.0.7-2/rubygem-yell-2.0.7-2.fc25.src.rpm

* Sun Aug 27 2017 František Dvořák <valtri@civ.zcu.cz> - 2.0.7-2
- Better build dependencies
- Mark examples as documentation

Comment 4 Robert-André Mauchin 2017-08-27 17:53:15 UTC
All good then, package accepted.

Comment 5 Gwyn Ciesla 2017-08-28 12:48:34 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rubygem-yell

Comment 6 Fedora Update System 2017-08-31 05:50:06 UTC
rubygem-yell-2.0.7-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4c2ec42376

Comment 7 Fedora Update System 2017-08-31 05:51:28 UTC
rubygem-yell-2.0.7-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-cf8a47a2e8

Comment 8 Fedora Update System 2017-09-01 03:52:02 UTC
rubygem-yell-2.0.7-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-cf8a47a2e8

Comment 9 Fedora Update System 2017-09-01 11:57:19 UTC
rubygem-yell-2.0.7-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4c2ec42376

Comment 10 Fedora Update System 2017-09-21 23:52:47 UTC
rubygem-yell-2.0.7-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-09-22 08:54:29 UTC
rubygem-yell-2.0.7-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.